<?xml version='1.0' encoding='UTF-8'?>
<repository xmlns="http://www.osgi.org/xmlns/repository/v1.0.0" name="Liferay Foundation - Liferay Portal Cache - Impl" increment="1">
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.cache.ehcache.impl"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.21" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.21" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.cache.ehcache.impl"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.21" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.cache.ehcache.impl"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.PortalCacheListenerFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.PortalCacheManagerListenerFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache.ehcache.internal.configurator"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.ehcache.internal.configurator.MultiVMEhcachePortalCacheManagerConfigurator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache.ehcache.internal.configurator"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.ehcache.internal.configurator.SingleVMEhcachePortalCacheManagerConfigurator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.cache"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.cache.PortalCacheManager" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="51240" type="Long"/>
      <attribute name="url" value="com.liferay.portal.cache.ehcache.impl-1.0.21.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="3E706FA3FC5EE5AD24B072995921FFEE75D581CFB4F0E1C4F3AA97654932293E"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.reflect)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.configuration)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.ehcache.spi)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.ehcache.spi.event)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.io)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache.configurator)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io.unsync)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.management))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache.config)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache.distribution)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache.event)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache.management)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=net.sf.ehcache.util)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.PortalCacheListenerFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.PortalCacheManagerListenerFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.PortalCacheReplicatorFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.ehcache.internal.configurator.MultiVMEhcachePortalCacheManagerConfigurator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.ehcache.internal.configurator.SingleVMEhcachePortalCacheManagerConfigurator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Props)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.cache.impl"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="1.0.24" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="1.0.24" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.cache.impl"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="1.0.24" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.cache.impl"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.cache,com.liferay.portal.kernel.dao.orm"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.cache.CacheRegistryItem,com.liferay.portal.kernel.dao.orm.EntityCache" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.cache,com.liferay.portal.kernel.dao.orm"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.cache.CacheRegistryItem,com.liferay.portal.kernel.dao.orm.FinderCache" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.cache"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.cache.MultiVMPool" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.cache"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.cache.SingleVMPool" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="25112" type="Long"/>
      <attribute name="url" value="com.liferay.portal.cache.impl-1.0.24.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="5E3A7C490C404A427B5F8D144582E966F8270EB0BF80F5CA8493E0761449A1B8"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.util)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.lang)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.dao.orm)(version&gt;=7.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.resiliency.spi.cache)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service.persistence.impl)(version&gt;=1.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.34.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.servlet.filters.threadlocal))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.collections.map)(version&gt;=3.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.cache.PortalCacheManager)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.dao.orm.EntityCache)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Props)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.cache.multiple"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.32.hotfix-7303-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.32.hotfix-7303-7110" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.cache.multiple"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.32.hotfix-7303-7110" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.cache.multiple"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.PortalCacheReplicatorFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache.multiple.internal.cluster.link"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.multiple.internal.cluster.link.PortalCacheClusterChannelFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache.multiple.internal.cluster.link"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.multiple.internal.cluster.link.PortalCacheClusterLink" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.cache.multiple.internal.cluster.link.messaging"/>
      <attribute name="objectClass" value="com.liferay.portal.cache.multiple.internal.cluster.link.messaging.ClusterLinkMessagingConfigurator" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.messaging"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.messaging.MessageListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.cache.multiple"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="53896" type="Long"/>
      <attribute name="url" value="com.liferay.portal.cache.multiple-2.0.32.hotfix-7303-7110.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="BF039950F89FF73016791507F721218D2E95AD24C941638966A5A4D983CBEEE0"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.service.tracker.collections.map)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.cache.io)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.bnd.util)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cache)(version&gt;=7.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.cluster)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.io.unsync)(version&gt;=6.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.messaging)(version&gt;=8.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.multiple.internal.cluster.link.PortalCacheClusterChannelFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.multiple.internal.cluster.link.PortalCacheClusterChannelSelector)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.cache.multiple.internal.cluster.link.PortalCacheClusterLink)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.cluster.ClusterLink)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.messaging.Destination)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.messaging.DestinationFactory)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
</repository>
